// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.28.1
// 	protoc        v3.21.12
// source: pkg/protos/healthcheck.proto

package healthcheck

import (
	realserver "gitlab.wikimedia.org/repos/sre/liberica/pkg/protos/realserver"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	durationpb "google.golang.org/protobuf/types/known/durationpb"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type WatchResultsRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Svc string `protobuf:"bytes,1,opt,name=svc,proto3" json:"svc,omitempty"`
}

func (x *WatchResultsRequest) Reset() {
	*x = WatchResultsRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_protos_healthcheck_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *WatchResultsRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*WatchResultsRequest) ProtoMessage() {}

func (x *WatchResultsRequest) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_protos_healthcheck_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use WatchResultsRequest.ProtoReflect.Descriptor instead.
func (*WatchResultsRequest) Descriptor() ([]byte, []int) {
	return file_pkg_protos_healthcheck_proto_rawDescGZIP(), []int{0}
}

func (x *WatchResultsRequest) GetSvc() string {
	if x != nil {
		return x.Svc
	}
	return ""
}

type WatchResultsResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Result *Result `protobuf:"bytes,1,opt,name=result,proto3" json:"result,omitempty"`
}

func (x *WatchResultsResponse) Reset() {
	*x = WatchResultsResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_protos_healthcheck_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *WatchResultsResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*WatchResultsResponse) ProtoMessage() {}

func (x *WatchResultsResponse) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_protos_healthcheck_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use WatchResultsResponse.ProtoReflect.Descriptor instead.
func (*WatchResultsResponse) Descriptor() ([]byte, []int) {
	return file_pkg_protos_healthcheck_proto_rawDescGZIP(), []int{1}
}

func (x *WatchResultsResponse) GetResult() *Result {
	if x != nil {
		return x.Result
	}
	return nil
}

type CreateHealthcheckRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Realserver               *realserver.Realserver      `protobuf:"bytes,1,opt,name=realserver,proto3" json:"realserver,omitempty"`                                                             // required
	HealthcheckConfiguration []*HealthcheckConfiguration `protobuf:"bytes,2,rep,name=healthcheck_configuration,json=healthcheckConfiguration,proto3" json:"healthcheck_configuration,omitempty"` // required
}

func (x *CreateHealthcheckRequest) Reset() {
	*x = CreateHealthcheckRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_protos_healthcheck_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CreateHealthcheckRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateHealthcheckRequest) ProtoMessage() {}

func (x *CreateHealthcheckRequest) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_protos_healthcheck_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateHealthcheckRequest.ProtoReflect.Descriptor instead.
func (*CreateHealthcheckRequest) Descriptor() ([]byte, []int) {
	return file_pkg_protos_healthcheck_proto_rawDescGZIP(), []int{2}
}

func (x *CreateHealthcheckRequest) GetRealserver() *realserver.Realserver {
	if x != nil {
		return x.Realserver
	}
	return nil
}

func (x *CreateHealthcheckRequest) GetHealthcheckConfiguration() []*HealthcheckConfiguration {
	if x != nil {
		return x.HealthcheckConfiguration
	}
	return nil
}

type CreateHealthcheckResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *CreateHealthcheckResponse) Reset() {
	*x = CreateHealthcheckResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_protos_healthcheck_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CreateHealthcheckResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateHealthcheckResponse) ProtoMessage() {}

func (x *CreateHealthcheckResponse) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_protos_healthcheck_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateHealthcheckResponse.ProtoReflect.Descriptor instead.
func (*CreateHealthcheckResponse) Descriptor() ([]byte, []int) {
	return file_pkg_protos_healthcheck_proto_rawDescGZIP(), []int{3}
}

type DeleteHealthcheckRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Realserver *realserver.Realserver `protobuf:"bytes,1,opt,name=realserver,proto3" json:"realserver,omitempty"` // required
}

func (x *DeleteHealthcheckRequest) Reset() {
	*x = DeleteHealthcheckRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_protos_healthcheck_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DeleteHealthcheckRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeleteHealthcheckRequest) ProtoMessage() {}

func (x *DeleteHealthcheckRequest) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_protos_healthcheck_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeleteHealthcheckRequest.ProtoReflect.Descriptor instead.
func (*DeleteHealthcheckRequest) Descriptor() ([]byte, []int) {
	return file_pkg_protos_healthcheck_proto_rawDescGZIP(), []int{4}
}

func (x *DeleteHealthcheckRequest) GetRealserver() *realserver.Realserver {
	if x != nil {
		return x.Realserver
	}
	return nil
}

type DeleteHealthcheckResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *DeleteHealthcheckResponse) Reset() {
	*x = DeleteHealthcheckResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_protos_healthcheck_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DeleteHealthcheckResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeleteHealthcheckResponse) ProtoMessage() {}

func (x *DeleteHealthcheckResponse) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_protos_healthcheck_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeleteHealthcheckResponse.ProtoReflect.Descriptor instead.
func (*DeleteHealthcheckResponse) Descriptor() ([]byte, []int) {
	return file_pkg_protos_healthcheck_proto_rawDescGZIP(), []int{5}
}

type Result struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	HealthcheckName string                 `protobuf:"bytes,1,opt,name=healthcheck_name,json=healthcheckName,proto3" json:"healthcheck_name,omitempty"`
	Successful      bool                   `protobuf:"varint,2,opt,name=successful,proto3" json:"successful,omitempty"`
	Realserver      *realserver.Realserver `protobuf:"bytes,3,opt,name=realserver,proto3" json:"realserver,omitempty"`
	HealthcheckId   uint32                 `protobuf:"varint,4,opt,name=healthcheck_id,json=healthcheckId,proto3" json:"healthcheck_id,omitempty"`
}

func (x *Result) Reset() {
	*x = Result{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_protos_healthcheck_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Result) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Result) ProtoMessage() {}

func (x *Result) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_protos_healthcheck_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Result.ProtoReflect.Descriptor instead.
func (*Result) Descriptor() ([]byte, []int) {
	return file_pkg_protos_healthcheck_proto_rawDescGZIP(), []int{6}
}

func (x *Result) GetHealthcheckName() string {
	if x != nil {
		return x.HealthcheckName
	}
	return ""
}

func (x *Result) GetSuccessful() bool {
	if x != nil {
		return x.Successful
	}
	return false
}

func (x *Result) GetRealserver() *realserver.Realserver {
	if x != nil {
		return x.Realserver
	}
	return nil
}

func (x *Result) GetHealthcheckId() uint32 {
	if x != nil {
		return x.HealthcheckId
	}
	return 0
}

type HealthcheckConfiguration struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Types that are assignable to Configuration:
	//
	//	*HealthcheckConfiguration_HttpConfig
	//	*HealthcheckConfiguration_IdleTcpConfig
	Configuration isHealthcheckConfiguration_Configuration `protobuf_oneof:"configuration"`
}

func (x *HealthcheckConfiguration) Reset() {
	*x = HealthcheckConfiguration{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_protos_healthcheck_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *HealthcheckConfiguration) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*HealthcheckConfiguration) ProtoMessage() {}

func (x *HealthcheckConfiguration) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_protos_healthcheck_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use HealthcheckConfiguration.ProtoReflect.Descriptor instead.
func (*HealthcheckConfiguration) Descriptor() ([]byte, []int) {
	return file_pkg_protos_healthcheck_proto_rawDescGZIP(), []int{7}
}

func (m *HealthcheckConfiguration) GetConfiguration() isHealthcheckConfiguration_Configuration {
	if m != nil {
		return m.Configuration
	}
	return nil
}

func (x *HealthcheckConfiguration) GetHttpConfig() *HTTPCheckConfiguration {
	if x, ok := x.GetConfiguration().(*HealthcheckConfiguration_HttpConfig); ok {
		return x.HttpConfig
	}
	return nil
}

func (x *HealthcheckConfiguration) GetIdleTcpConfig() *IdleTCPConnectionCheckConfiguration {
	if x, ok := x.GetConfiguration().(*HealthcheckConfiguration_IdleTcpConfig); ok {
		return x.IdleTcpConfig
	}
	return nil
}

type isHealthcheckConfiguration_Configuration interface {
	isHealthcheckConfiguration_Configuration()
}

type HealthcheckConfiguration_HttpConfig struct {
	HttpConfig *HTTPCheckConfiguration `protobuf:"bytes,1,opt,name=http_config,json=httpConfig,proto3,oneof"`
}

type HealthcheckConfiguration_IdleTcpConfig struct {
	IdleTcpConfig *IdleTCPConnectionCheckConfiguration `protobuf:"bytes,2,opt,name=idle_tcp_config,json=idleTcpConfig,proto3,oneof"`
}

func (*HealthcheckConfiguration_HttpConfig) isHealthcheckConfiguration_Configuration() {}

func (*HealthcheckConfiguration_IdleTcpConfig) isHealthcheckConfiguration_Configuration() {}

type HTTPCheckConfiguration struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Url                string               `protobuf:"bytes,1,opt,name=url,proto3" json:"url,omitempty"`
	HostHeader         string               `protobuf:"bytes,2,opt,name=host_header,json=hostHeader,proto3" json:"host_header,omitempty"`
	ExpectedStatusCode uint32               `protobuf:"varint,3,opt,name=expected_status_code,json=expectedStatusCode,proto3" json:"expected_status_code,omitempty"`
	Timeout            *durationpb.Duration `protobuf:"bytes,4,opt,name=timeout,proto3" json:"timeout,omitempty"`
	CheckPeriod        *durationpb.Duration `protobuf:"bytes,5,opt,name=check_period,json=checkPeriod,proto3" json:"check_period,omitempty"`
}

func (x *HTTPCheckConfiguration) Reset() {
	*x = HTTPCheckConfiguration{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_protos_healthcheck_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *HTTPCheckConfiguration) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*HTTPCheckConfiguration) ProtoMessage() {}

func (x *HTTPCheckConfiguration) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_protos_healthcheck_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use HTTPCheckConfiguration.ProtoReflect.Descriptor instead.
func (*HTTPCheckConfiguration) Descriptor() ([]byte, []int) {
	return file_pkg_protos_healthcheck_proto_rawDescGZIP(), []int{8}
}

func (x *HTTPCheckConfiguration) GetUrl() string {
	if x != nil {
		return x.Url
	}
	return ""
}

func (x *HTTPCheckConfiguration) GetHostHeader() string {
	if x != nil {
		return x.HostHeader
	}
	return ""
}

func (x *HTTPCheckConfiguration) GetExpectedStatusCode() uint32 {
	if x != nil {
		return x.ExpectedStatusCode
	}
	return 0
}

func (x *HTTPCheckConfiguration) GetTimeout() *durationpb.Duration {
	if x != nil {
		return x.Timeout
	}
	return nil
}

func (x *HTTPCheckConfiguration) GetCheckPeriod() *durationpb.Duration {
	if x != nil {
		return x.CheckPeriod
	}
	return nil
}

type IdleTCPConnectionCheckConfiguration struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Address         string               `protobuf:"bytes,1,opt,name=address,proto3" json:"address,omitempty"`
	ConnectTimeout  *durationpb.Duration `protobuf:"bytes,2,opt,name=connect_timeout,json=connectTimeout,proto3" json:"connect_timeout,omitempty"`
	ReconnectPeriod *durationpb.Duration `protobuf:"bytes,3,opt,name=reconnect_period,json=reconnectPeriod,proto3" json:"reconnect_period,omitempty"`
	CheckPeriod     *durationpb.Duration `protobuf:"bytes,4,opt,name=check_period,json=checkPeriod,proto3" json:"check_period,omitempty"`
}

func (x *IdleTCPConnectionCheckConfiguration) Reset() {
	*x = IdleTCPConnectionCheckConfiguration{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_protos_healthcheck_proto_msgTypes[9]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *IdleTCPConnectionCheckConfiguration) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*IdleTCPConnectionCheckConfiguration) ProtoMessage() {}

func (x *IdleTCPConnectionCheckConfiguration) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_protos_healthcheck_proto_msgTypes[9]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use IdleTCPConnectionCheckConfiguration.ProtoReflect.Descriptor instead.
func (*IdleTCPConnectionCheckConfiguration) Descriptor() ([]byte, []int) {
	return file_pkg_protos_healthcheck_proto_rawDescGZIP(), []int{9}
}

func (x *IdleTCPConnectionCheckConfiguration) GetAddress() string {
	if x != nil {
		return x.Address
	}
	return ""
}

func (x *IdleTCPConnectionCheckConfiguration) GetConnectTimeout() *durationpb.Duration {
	if x != nil {
		return x.ConnectTimeout
	}
	return nil
}

func (x *IdleTCPConnectionCheckConfiguration) GetReconnectPeriod() *durationpb.Duration {
	if x != nil {
		return x.ReconnectPeriod
	}
	return nil
}

func (x *IdleTCPConnectionCheckConfiguration) GetCheckPeriod() *durationpb.Duration {
	if x != nil {
		return x.CheckPeriod
	}
	return nil
}

var File_pkg_protos_healthcheck_proto protoreflect.FileDescriptor

var file_pkg_protos_healthcheck_proto_rawDesc = []byte{
	0x0a, 0x1c, 0x70, 0x6b, 0x67, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2f, 0x68, 0x65, 0x61,
	0x6c, 0x74, 0x68, 0x63, 0x68, 0x65, 0x63, 0x6b, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x0b,
	0x68, 0x65, 0x61, 0x6c, 0x74, 0x68, 0x63, 0x68, 0x65, 0x63, 0x6b, 0x1a, 0x1e, 0x67, 0x6f, 0x6f,
	0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x64, 0x75, 0x72,
	0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1b, 0x70, 0x6b, 0x67,
	0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2f, 0x72, 0x65, 0x61, 0x6c, 0x73, 0x65, 0x72, 0x76,
	0x65, 0x72, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x27, 0x0a, 0x13, 0x57, 0x61, 0x74, 0x63,
	0x68, 0x52, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12,
	0x10, 0x0a, 0x03, 0x73, 0x76, 0x63, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x73, 0x76,
	0x63, 0x22, 0x43, 0x0a, 0x14, 0x57, 0x61, 0x74, 0x63, 0x68, 0x52, 0x65, 0x73, 0x75, 0x6c, 0x74,
	0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x2b, 0x0a, 0x06, 0x72, 0x65, 0x73,
	0x75, 0x6c, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x13, 0x2e, 0x68, 0x65, 0x61, 0x6c,
	0x74, 0x68, 0x63, 0x68, 0x65, 0x63, 0x6b, 0x2e, 0x52, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x52, 0x06,
	0x72, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x22, 0xb6, 0x01, 0x0a, 0x18, 0x43, 0x72, 0x65, 0x61, 0x74,
	0x65, 0x48, 0x65, 0x61, 0x6c, 0x74, 0x68, 0x63, 0x68, 0x65, 0x63, 0x6b, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x12, 0x36, 0x0a, 0x0a, 0x72, 0x65, 0x61, 0x6c, 0x73, 0x65, 0x72, 0x76, 0x65,
	0x72, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x16, 0x2e, 0x72, 0x65, 0x61, 0x6c, 0x73, 0x65,
	0x72, 0x76, 0x65, 0x72, 0x2e, 0x52, 0x65, 0x61, 0x6c, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x52,
	0x0a, 0x72, 0x65, 0x61, 0x6c, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x12, 0x62, 0x0a, 0x19, 0x68,
	0x65, 0x61, 0x6c, 0x74, 0x68, 0x63, 0x68, 0x65, 0x63, 0x6b, 0x5f, 0x63, 0x6f, 0x6e, 0x66, 0x69,
	0x67, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x02, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x25,
	0x2e, 0x68, 0x65, 0x61, 0x6c, 0x74, 0x68, 0x63, 0x68, 0x65, 0x63, 0x6b, 0x2e, 0x48, 0x65, 0x61,
	0x6c, 0x74, 0x68, 0x63, 0x68, 0x65, 0x63, 0x6b, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x75, 0x72,
	0x61, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x18, 0x68, 0x65, 0x61, 0x6c, 0x74, 0x68, 0x63, 0x68, 0x65,
	0x63, 0x6b, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x22,
	0x1b, 0x0a, 0x19, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x48, 0x65, 0x61, 0x6c, 0x74, 0x68, 0x63,
	0x68, 0x65, 0x63, 0x6b, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x52, 0x0a, 0x18,
	0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x48, 0x65, 0x61, 0x6c, 0x74, 0x68, 0x63, 0x68, 0x65, 0x63,
	0x6b, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x36, 0x0a, 0x0a, 0x72, 0x65, 0x61, 0x6c,
	0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x16, 0x2e, 0x72,
	0x65, 0x61, 0x6c, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x2e, 0x52, 0x65, 0x61, 0x6c, 0x73, 0x65,
	0x72, 0x76, 0x65, 0x72, 0x52, 0x0a, 0x72, 0x65, 0x61, 0x6c, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72,
	0x22, 0x1b, 0x0a, 0x19, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x48, 0x65, 0x61, 0x6c, 0x74, 0x68,
	0x63, 0x68, 0x65, 0x63, 0x6b, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0xb2, 0x01,
	0x0a, 0x06, 0x52, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x12, 0x29, 0x0a, 0x10, 0x68, 0x65, 0x61, 0x6c,
	0x74, 0x68, 0x63, 0x68, 0x65, 0x63, 0x6b, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x0f, 0x68, 0x65, 0x61, 0x6c, 0x74, 0x68, 0x63, 0x68, 0x65, 0x63, 0x6b, 0x4e,
	0x61, 0x6d, 0x65, 0x12, 0x1e, 0x0a, 0x0a, 0x73, 0x75, 0x63, 0x63, 0x65, 0x73, 0x73, 0x66, 0x75,
	0x6c, 0x18, 0x02, 0x20, 0x01, 0x28, 0x08, 0x52, 0x0a, 0x73, 0x75, 0x63, 0x63, 0x65, 0x73, 0x73,
	0x66, 0x75, 0x6c, 0x12, 0x36, 0x0a, 0x0a, 0x72, 0x65, 0x61, 0x6c, 0x73, 0x65, 0x72, 0x76, 0x65,
	0x72, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x16, 0x2e, 0x72, 0x65, 0x61, 0x6c, 0x73, 0x65,
	0x72, 0x76, 0x65, 0x72, 0x2e, 0x52, 0x65, 0x61, 0x6c, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x52,
	0x0a, 0x72, 0x65, 0x61, 0x6c, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x12, 0x25, 0x0a, 0x0e, 0x68,
	0x65, 0x61, 0x6c, 0x74, 0x68, 0x63, 0x68, 0x65, 0x63, 0x6b, 0x5f, 0x69, 0x64, 0x18, 0x04, 0x20,
	0x01, 0x28, 0x0d, 0x52, 0x0d, 0x68, 0x65, 0x61, 0x6c, 0x74, 0x68, 0x63, 0x68, 0x65, 0x63, 0x6b,
	0x49, 0x64, 0x22, 0xcf, 0x01, 0x0a, 0x18, 0x48, 0x65, 0x61, 0x6c, 0x74, 0x68, 0x63, 0x68, 0x65,
	0x63, 0x6b, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x12,
	0x46, 0x0a, 0x0b, 0x68, 0x74, 0x74, 0x70, 0x5f, 0x63, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x23, 0x2e, 0x68, 0x65, 0x61, 0x6c, 0x74, 0x68, 0x63, 0x68, 0x65,
	0x63, 0x6b, 0x2e, 0x48, 0x54, 0x54, 0x50, 0x43, 0x68, 0x65, 0x63, 0x6b, 0x43, 0x6f, 0x6e, 0x66,
	0x69, 0x67, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x48, 0x00, 0x52, 0x0a, 0x68, 0x74, 0x74,
	0x70, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x12, 0x5a, 0x0a, 0x0f, 0x69, 0x64, 0x6c, 0x65, 0x5f,
	0x74, 0x63, 0x70, 0x5f, 0x63, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x30, 0x2e, 0x68, 0x65, 0x61, 0x6c, 0x74, 0x68, 0x63, 0x68, 0x65, 0x63, 0x6b, 0x2e, 0x49,
	0x64, 0x6c, 0x65, 0x54, 0x43, 0x50, 0x43, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x69, 0x6f, 0x6e,
	0x43, 0x68, 0x65, 0x63, 0x6b, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x75, 0x72, 0x61, 0x74, 0x69,
	0x6f, 0x6e, 0x48, 0x00, 0x52, 0x0d, 0x69, 0x64, 0x6c, 0x65, 0x54, 0x63, 0x70, 0x43, 0x6f, 0x6e,
	0x66, 0x69, 0x67, 0x42, 0x0f, 0x0a, 0x0d, 0x63, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x75, 0x72, 0x61,
	0x74, 0x69, 0x6f, 0x6e, 0x22, 0xf0, 0x01, 0x0a, 0x16, 0x48, 0x54, 0x54, 0x50, 0x43, 0x68, 0x65,
	0x63, 0x6b, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x12,
	0x10, 0x0a, 0x03, 0x75, 0x72, 0x6c, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x75, 0x72,
	0x6c, 0x12, 0x1f, 0x0a, 0x0b, 0x68, 0x6f, 0x73, 0x74, 0x5f, 0x68, 0x65, 0x61, 0x64, 0x65, 0x72,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x68, 0x6f, 0x73, 0x74, 0x48, 0x65, 0x61, 0x64,
	0x65, 0x72, 0x12, 0x30, 0x0a, 0x14, 0x65, 0x78, 0x70, 0x65, 0x63, 0x74, 0x65, 0x64, 0x5f, 0x73,
	0x74, 0x61, 0x74, 0x75, 0x73, 0x5f, 0x63, 0x6f, 0x64, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0d,
	0x52, 0x12, 0x65, 0x78, 0x70, 0x65, 0x63, 0x74, 0x65, 0x64, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73,
	0x43, 0x6f, 0x64, 0x65, 0x12, 0x33, 0x0a, 0x07, 0x74, 0x69, 0x6d, 0x65, 0x6f, 0x75, 0x74, 0x18,
	0x04, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x19, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x44, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e,
	0x52, 0x07, 0x74, 0x69, 0x6d, 0x65, 0x6f, 0x75, 0x74, 0x12, 0x3c, 0x0a, 0x0c, 0x63, 0x68, 0x65,
	0x63, 0x6b, 0x5f, 0x70, 0x65, 0x72, 0x69, 0x6f, 0x64, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x19, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75,
	0x66, 0x2e, 0x44, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x0b, 0x63, 0x68, 0x65, 0x63,
	0x6b, 0x50, 0x65, 0x72, 0x69, 0x6f, 0x64, 0x22, 0x87, 0x02, 0x0a, 0x23, 0x49, 0x64, 0x6c, 0x65,
	0x54, 0x43, 0x50, 0x43, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x43, 0x68, 0x65,
	0x63, 0x6b, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x12,
	0x18, 0x0a, 0x07, 0x61, 0x64, 0x64, 0x72, 0x65, 0x73, 0x73, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x07, 0x61, 0x64, 0x64, 0x72, 0x65, 0x73, 0x73, 0x12, 0x42, 0x0a, 0x0f, 0x63, 0x6f, 0x6e,
	0x6e, 0x65, 0x63, 0x74, 0x5f, 0x74, 0x69, 0x6d, 0x65, 0x6f, 0x75, 0x74, 0x18, 0x02, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x19, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x62, 0x75, 0x66, 0x2e, 0x44, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x0e, 0x63,
	0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x54, 0x69, 0x6d, 0x65, 0x6f, 0x75, 0x74, 0x12, 0x44, 0x0a,
	0x10, 0x72, 0x65, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x5f, 0x70, 0x65, 0x72, 0x69, 0x6f,
	0x64, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x19, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x44, 0x75, 0x72, 0x61, 0x74, 0x69,
	0x6f, 0x6e, 0x52, 0x0f, 0x72, 0x65, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x50, 0x65, 0x72,
	0x69, 0x6f, 0x64, 0x12, 0x3c, 0x0a, 0x0c, 0x63, 0x68, 0x65, 0x63, 0x6b, 0x5f, 0x70, 0x65, 0x72,
	0x69, 0x6f, 0x64, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x19, 0x2e, 0x67, 0x6f, 0x6f, 0x67,
	0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x44, 0x75, 0x72, 0x61,
	0x74, 0x69, 0x6f, 0x6e, 0x52, 0x0b, 0x63, 0x68, 0x65, 0x63, 0x6b, 0x50, 0x65, 0x72, 0x69, 0x6f,
	0x64, 0x32, 0xb1, 0x02, 0x0a, 0x10, 0x48, 0x43, 0x4d, 0x6f, 0x6e, 0x69, 0x74, 0x6f, 0x72, 0x53,
	0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x12, 0x55, 0x0a, 0x0c, 0x57, 0x61, 0x74, 0x63, 0x68, 0x52,
	0x65, 0x73, 0x75, 0x6c, 0x74, 0x73, 0x12, 0x20, 0x2e, 0x68, 0x65, 0x61, 0x6c, 0x74, 0x68, 0x63,
	0x68, 0x65, 0x63, 0x6b, 0x2e, 0x57, 0x61, 0x74, 0x63, 0x68, 0x52, 0x65, 0x73, 0x75, 0x6c, 0x74,
	0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x21, 0x2e, 0x68, 0x65, 0x61, 0x6c, 0x74,
	0x68, 0x63, 0x68, 0x65, 0x63, 0x6b, 0x2e, 0x57, 0x61, 0x74, 0x63, 0x68, 0x52, 0x65, 0x73, 0x75,
	0x6c, 0x74, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x30, 0x01, 0x12, 0x62, 0x0a,
	0x11, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x48, 0x65, 0x61, 0x6c, 0x74, 0x68, 0x63, 0x68, 0x65,
	0x63, 0x6b, 0x12, 0x25, 0x2e, 0x68, 0x65, 0x61, 0x6c, 0x74, 0x68, 0x63, 0x68, 0x65, 0x63, 0x6b,
	0x2e, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x48, 0x65, 0x61, 0x6c, 0x74, 0x68, 0x63, 0x68, 0x65,
	0x63, 0x6b, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x26, 0x2e, 0x68, 0x65, 0x61, 0x6c,
	0x74, 0x68, 0x63, 0x68, 0x65, 0x63, 0x6b, 0x2e, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x48, 0x65,
	0x61, 0x6c, 0x74, 0x68, 0x63, 0x68, 0x65, 0x63, 0x6b, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73,
	0x65, 0x12, 0x62, 0x0a, 0x11, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x48, 0x65, 0x61, 0x6c, 0x74,
	0x68, 0x63, 0x68, 0x65, 0x63, 0x6b, 0x12, 0x25, 0x2e, 0x68, 0x65, 0x61, 0x6c, 0x74, 0x68, 0x63,
	0x68, 0x65, 0x63, 0x6b, 0x2e, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x48, 0x65, 0x61, 0x6c, 0x74,
	0x68, 0x63, 0x68, 0x65, 0x63, 0x6b, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x26, 0x2e,
	0x68, 0x65, 0x61, 0x6c, 0x74, 0x68, 0x63, 0x68, 0x65, 0x63, 0x6b, 0x2e, 0x44, 0x65, 0x6c, 0x65,
	0x74, 0x65, 0x48, 0x65, 0x61, 0x6c, 0x74, 0x68, 0x63, 0x68, 0x65, 0x63, 0x6b, 0x52, 0x65, 0x73,
	0x70, 0x6f, 0x6e, 0x73, 0x65, 0x42, 0x40, 0x5a, 0x3e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e,
	0x77, 0x69, 0x6b, 0x69, 0x6d, 0x65, 0x64, 0x69, 0x61, 0x2e, 0x6f, 0x72, 0x67, 0x2f, 0x72, 0x65,
	0x70, 0x6f, 0x73, 0x2f, 0x73, 0x72, 0x65, 0x2f, 0x6c, 0x69, 0x62, 0x65, 0x72, 0x69, 0x63, 0x61,
	0x2f, 0x70, 0x6b, 0x67, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2f, 0x68, 0x65, 0x61, 0x6c,
	0x74, 0x68, 0x63, 0x68, 0x65, 0x63, 0x6b, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_pkg_protos_healthcheck_proto_rawDescOnce sync.Once
	file_pkg_protos_healthcheck_proto_rawDescData = file_pkg_protos_healthcheck_proto_rawDesc
)

func file_pkg_protos_healthcheck_proto_rawDescGZIP() []byte {
	file_pkg_protos_healthcheck_proto_rawDescOnce.Do(func() {
		file_pkg_protos_healthcheck_proto_rawDescData = protoimpl.X.CompressGZIP(file_pkg_protos_healthcheck_proto_rawDescData)
	})
	return file_pkg_protos_healthcheck_proto_rawDescData
}

var file_pkg_protos_healthcheck_proto_msgTypes = make([]protoimpl.MessageInfo, 10)
var file_pkg_protos_healthcheck_proto_goTypes = []interface{}{
	(*WatchResultsRequest)(nil),                 // 0: healthcheck.WatchResultsRequest
	(*WatchResultsResponse)(nil),                // 1: healthcheck.WatchResultsResponse
	(*CreateHealthcheckRequest)(nil),            // 2: healthcheck.CreateHealthcheckRequest
	(*CreateHealthcheckResponse)(nil),           // 3: healthcheck.CreateHealthcheckResponse
	(*DeleteHealthcheckRequest)(nil),            // 4: healthcheck.DeleteHealthcheckRequest
	(*DeleteHealthcheckResponse)(nil),           // 5: healthcheck.DeleteHealthcheckResponse
	(*Result)(nil),                              // 6: healthcheck.Result
	(*HealthcheckConfiguration)(nil),            // 7: healthcheck.HealthcheckConfiguration
	(*HTTPCheckConfiguration)(nil),              // 8: healthcheck.HTTPCheckConfiguration
	(*IdleTCPConnectionCheckConfiguration)(nil), // 9: healthcheck.IdleTCPConnectionCheckConfiguration
	(*realserver.Realserver)(nil),               // 10: realserver.Realserver
	(*durationpb.Duration)(nil),                 // 11: google.protobuf.Duration
}
var file_pkg_protos_healthcheck_proto_depIdxs = []int32{
	6,  // 0: healthcheck.WatchResultsResponse.result:type_name -> healthcheck.Result
	10, // 1: healthcheck.CreateHealthcheckRequest.realserver:type_name -> realserver.Realserver
	7,  // 2: healthcheck.CreateHealthcheckRequest.healthcheck_configuration:type_name -> healthcheck.HealthcheckConfiguration
	10, // 3: healthcheck.DeleteHealthcheckRequest.realserver:type_name -> realserver.Realserver
	10, // 4: healthcheck.Result.realserver:type_name -> realserver.Realserver
	8,  // 5: healthcheck.HealthcheckConfiguration.http_config:type_name -> healthcheck.HTTPCheckConfiguration
	9,  // 6: healthcheck.HealthcheckConfiguration.idle_tcp_config:type_name -> healthcheck.IdleTCPConnectionCheckConfiguration
	11, // 7: healthcheck.HTTPCheckConfiguration.timeout:type_name -> google.protobuf.Duration
	11, // 8: healthcheck.HTTPCheckConfiguration.check_period:type_name -> google.protobuf.Duration
	11, // 9: healthcheck.IdleTCPConnectionCheckConfiguration.connect_timeout:type_name -> google.protobuf.Duration
	11, // 10: healthcheck.IdleTCPConnectionCheckConfiguration.reconnect_period:type_name -> google.protobuf.Duration
	11, // 11: healthcheck.IdleTCPConnectionCheckConfiguration.check_period:type_name -> google.protobuf.Duration
	0,  // 12: healthcheck.HCMonitorService.WatchResults:input_type -> healthcheck.WatchResultsRequest
	2,  // 13: healthcheck.HCMonitorService.CreateHealthcheck:input_type -> healthcheck.CreateHealthcheckRequest
	4,  // 14: healthcheck.HCMonitorService.DeleteHealthcheck:input_type -> healthcheck.DeleteHealthcheckRequest
	1,  // 15: healthcheck.HCMonitorService.WatchResults:output_type -> healthcheck.WatchResultsResponse
	3,  // 16: healthcheck.HCMonitorService.CreateHealthcheck:output_type -> healthcheck.CreateHealthcheckResponse
	5,  // 17: healthcheck.HCMonitorService.DeleteHealthcheck:output_type -> healthcheck.DeleteHealthcheckResponse
	15, // [15:18] is the sub-list for method output_type
	12, // [12:15] is the sub-list for method input_type
	12, // [12:12] is the sub-list for extension type_name
	12, // [12:12] is the sub-list for extension extendee
	0,  // [0:12] is the sub-list for field type_name
}

func init() { file_pkg_protos_healthcheck_proto_init() }
func file_pkg_protos_healthcheck_proto_init() {
	if File_pkg_protos_healthcheck_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_pkg_protos_healthcheck_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*WatchResultsRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_protos_healthcheck_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*WatchResultsResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_protos_healthcheck_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CreateHealthcheckRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_protos_healthcheck_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CreateHealthcheckResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_protos_healthcheck_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DeleteHealthcheckRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_protos_healthcheck_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DeleteHealthcheckResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_protos_healthcheck_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Result); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_protos_healthcheck_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*HealthcheckConfiguration); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_protos_healthcheck_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*HTTPCheckConfiguration); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_protos_healthcheck_proto_msgTypes[9].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*IdleTCPConnectionCheckConfiguration); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	file_pkg_protos_healthcheck_proto_msgTypes[7].OneofWrappers = []interface{}{
		(*HealthcheckConfiguration_HttpConfig)(nil),
		(*HealthcheckConfiguration_IdleTcpConfig)(nil),
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_pkg_protos_healthcheck_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   10,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_pkg_protos_healthcheck_proto_goTypes,
		DependencyIndexes: file_pkg_protos_healthcheck_proto_depIdxs,
		MessageInfos:      file_pkg_protos_healthcheck_proto_msgTypes,
	}.Build()
	File_pkg_protos_healthcheck_proto = out.File
	file_pkg_protos_healthcheck_proto_rawDesc = nil
	file_pkg_protos_healthcheck_proto_goTypes = nil
	file_pkg_protos_healthcheck_proto_depIdxs = nil
}
